diff -rupN d:\t052/src/game/server/entities/projectile.hpp d:\eg/src/game/server/entities/projectile.hpp
--- d:\t052/src/game/server/entities/projectile.hpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/entities/projectile.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -22,6 +22,9 @@ public:
 	int bounce;
 	float force;
 	int start_tick;
+	float curvature;
+	float speed;
+	bool sticked;
 	
 	PROJECTILE(int type, int owner, vec2 pos, vec2 vel, int span,
 		int damage, int flags, float force, int sound_impact, int weapon);
diff -rupN d:\t052/src/game/server/entities/sparkle.cpp d:\eg/src/game/server/entities/sparkle.cpp
--- d:\t052/src/game/server/entities/sparkle.cpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/entities/sparkle.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,66 @@
+
+#include <engine/e_server_interface.h>
+#include <game/generated/g_protocol.hpp>
+#include <game/server/gamecontext.hpp>
+#include "sparkle.hpp"
+
+
+SPARKLE::SPARKLE(vec2 pos, vec2 direction, int owner)
+: ENTITY(NETOBJTYPE_SHAFT_BEAM)
+{
+	this->from = pos;
+	this->owner = owner;
+	dir = direction;
+	cooled = true;
+	type = WEAPON_SHAFT;
+	eval_tick = server_tick();
+	this->pos = (from + direction*tuning.shaft_range);
+	
+	game.world.insert_entity(this);
+}
+
+
+void SPARKLE::hit_character(vec2 from, vec2 to)
+{
+	CHARACTER *owner_char = game.get_player_char(owner);
+	CHARACTER *hit = game.world.intersect_character(from, to, 0.0f, pos, owner_char);
+	if(!hit)
+		return;
+
+	hit->take_damage(vec2(0,0), tuning.shaft_damage, owner, WEAPON_SHAFT);
+	return;
+}
+
+void SPARKLE::adjust_position(vec2 newfrom, vec2 newdir)
+{
+	from = newfrom;
+	pos = (from + newdir*tuning.shaft_range);
+	col_intersect_line(from, pos, &pos, 0x0);
+	game.world.intersect_character(from, pos, 0.0f, pos, game.get_player_char(owner));
+}
+
+void SPARKLE::tick()
+{
+	game.create_sound(from, SOUND_SHAFT_FIRE);
+	game.create_sound(pos, SOUND_SHAFT_FIRE);
+	if (cooled)
+	{
+		hit_character(from, pos);
+		cooled = false;
+	}
+}
+
+void SPARKLE::snap(int snapping_client)
+{
+	if(networkclipped(snapping_client))
+		return;
+
+	NETOBJ_SHAFT_BEAM *obj = (NETOBJ_SHAFT_BEAM *)snap_new_item(NETOBJTYPE_SHAFT_BEAM, id, sizeof(NETOBJ_SHAFT_BEAM));
+	obj->x = (int)pos.x;
+	obj->y = (int)pos.y;
+	obj->from_x = (int)from.x;
+	obj->from_y = (int)from.y;
+	obj->type = type;
+	obj->playerID = owner;
+	obj->start_tick = eval_tick;
+}
\ No newline at end of file
diff -rupN d:\t052/src/game/server/entities/sparkle.hpp d:\eg/src/game/server/entities/sparkle.hpp
--- d:\t052/src/game/server/entities/sparkle.hpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/entities/sparkle.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,32 @@
+
+
+#ifndef GAME_SERVER_ENTITY_SPARKLE_H
+#define GAME_SERVER_ENTITY_SPARKLE_H
+
+
+
+
+#include <game/server/entity.hpp>
+
+class SPARKLE : public ENTITY
+{
+
+	vec2 from;
+	vec2 dir;
+	int eval_tick;
+	
+	void hit_character(vec2 from, vec2 to);
+
+	public:
+		SPARKLE(vec2 pos, vec2 direction, int owner);
+	
+	int owner;
+	int type;
+	bool cooled;
+	
+	void tick();
+	void snap(int snapping_client);
+	void adjust_position(vec2 newfrom, vec2 newdir);
+};
+
+#endif
\ No newline at end of file
diff -rupN d:\t052/src/game/server/entities/vortex.cpp d:\eg/src/game/server/entities/vortex.cpp
--- d:\t052/src/game/server/entities/vortex.cpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/entities/vortex.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,75 @@
+
+#include <engine/e_server_interface.h>
+#include <game/generated/g_protocol.hpp>
+#include <game/server/gamecontext.hpp>
+#include "vortex.hpp"
+
+
+VORTEX::VORTEX(vec2 pos, vec2 direction, int owner)
+: ENTITY(NETOBJTYPE_LASER)
+{
+	this->from = pos;
+	this->owner = owner;
+	dir = direction;
+	type = WEAPON_SPINGUN;
+	hit_done = false;
+	eval_tick = server_tick();
+	this->pos = (from + direction*tuning.spingun_impactdistance);
+	
+	game.world.insert_entity(this);
+}
+
+
+void VORTEX::hit_character(vec2 pos)
+{
+	CHARACTER *ents[32];
+	CHARACTER *owner_char = game.get_player_char(owner);
+	int num = game.world.find_entities(pos, tuning.spingun_impactradius, (ENTITY**)ents, 32, NETOBJTYPE_CHARACTER);
+	
+	float radius = tuning.spingun_impactradius;
+	float innerradius = tuning.spingun_impactradius/3;
+	for(int i = 0; i < num; i++)
+		{
+			if(!ents[i]->core.suit)
+			{
+				vec2 diff = ents[i]->pos - this->pos;
+				vec2 forcedir(0,1);
+				float l = length(diff);
+				if(l)
+					forcedir = normalize(diff*2);
+				l = 1-clamp((l-innerradius)/(radius-innerradius), 0.0f, 1.0f);
+				float dmg = tuning.spingun_maxdamage * l;
+				if((int)dmg)
+				ents[i]->take_damage(forcedir*dmg*10, (int)dmg, owner, type);
+				ents[i]->core.triggered_events |= COREEVENT_HOOK_HIT_NOHOOK;
+				ents[i]->core.hook_state = HOOK_RETRACT_START;
+			}
+		}
+}
+
+void VORTEX::tick()
+{
+	if (!hit_done) {
+		hit_character(pos);
+		game.create_sound(pos, SOUND_SPIN_IMPACT);
+	}
+	
+	hit_done = true;		
+	
+	if(server_tick() > eval_tick+(server_tickspeed()*lifespan())/1000.0f)
+		game.world.destroy_entity(this);
+}
+
+void VORTEX::snap(int snapping_client)
+{
+	if(networkclipped(snapping_client))
+		return;
+
+	NETOBJ_LASER *obj = (NETOBJ_LASER *)snap_new_item(NETOBJTYPE_LASER, id, sizeof(NETOBJ_LASER));
+	obj->x = (int)pos.x;
+	obj->y = (int)pos.y;
+	obj->from_x = (int)from.x;
+	obj->from_y = (int)from.y;
+	obj->type = type;
+	obj->start_tick = eval_tick;
+}
\ No newline at end of file
diff -rupN d:\t052/src/game/server/entities/vortex.hpp d:\eg/src/game/server/entities/vortex.hpp
--- d:\t052/src/game/server/entities/vortex.hpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/entities/vortex.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,32 @@
+
+
+#ifndef GAME_SERVER_ENTITY_VORTEX_H
+#define GAME_SERVER_ENTITY_VORTEX_H
+
+
+
+
+#include <game/server/entity.hpp>
+
+class VORTEX : public ENTITY
+{
+
+	vec2 from;
+	vec2 dir;
+	int eval_tick;
+	bool hit_done;
+	
+	void hit_character(vec2 pos);
+
+	public:
+		VORTEX(vec2 pos, vec2 direction, int owner);
+	
+	int owner;
+	int type;
+	
+	void tick();
+	void snap(int snapping_client);
+	static float lifespan() {return 1000;};
+};
+
+#endif
\ No newline at end of file
diff -rupN d:\t052/src/game/server/gamecontext.cpp d:\eg/src/game/server/gamecontext.cpp
--- d:\t052/src/game/server/gamecontext.cpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/gamecontext.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -91,9 +91,9 @@ void GAMECONTEXT::create_explosion(vec2 
 			if(l)
 				forcedir = normalize(diff);
 			l = 1-clamp((l-innerradius)/(radius-innerradius), 0.0f, 1.0f);
-			float dmg = 6 * l;
+			float dmg = data->weapons.id[weapon].damage * l;
 			if((int)dmg)
-				ents[i]->take_damage(forcedir*dmg*2, (int)dmg, owner, weapon);
+				ents[i]->take_damage(forcedir*dmg*2, (int)round(dmg*(1^ents[i]->core.suit)), owner, weapon);
 		}
 	}
 }
diff -rupN d:\t052/src/game/server/gamecontroller.cpp d:\eg/src/game/server/gamecontroller.cpp
--- d:\t052/src/game/server/gamecontroller.cpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/gamecontroller.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -124,6 +124,21 @@ bool GAMECONTROLLER::on_entity(int index
 		type = POWERUP_ARMOR;
 	else if(index == ENTITY_HEALTH_1)
 		type = POWERUP_HEALTH;
+	else if(index == ENTITY_ARMOR_5 && is_extended())
+	{
+		type = POWERUP_SPECIAL;
+		subtype = SPECIAL_YELLOWARMOR;
+	}
+	else if(index == ENTITY_ARMOR_10 && is_extended())
+	{
+		type = POWERUP_SPECIAL;
+		subtype = SPECIAL_REDARMOR;
+	}
+	else if(index == ENTITY_HEALTH_10 && is_extended())
+	{
+		type = POWERUP_SPECIAL;
+		subtype = SPECIAL_MEGAHEALTH;
+	}
 	else if(index == ENTITY_WEAPON_SHOTGUN)
 	{
 		type = POWERUP_WEAPON;
@@ -139,10 +154,35 @@ bool GAMECONTROLLER::on_entity(int index
 		type = POWERUP_WEAPON;
 		subtype = WEAPON_RIFLE;
 	}
+	else if(index == ENTITY_WEAPON_SHAFT && is_extended())
+	{
+		type = POWERUP_WEAPON;
+		subtype = WEAPON_SHAFT;
+	}
+	else if(index == ENTITY_WEAPON_SPINGUN && is_extended())
+	{
+		type = POWERUP_WEAPON;
+		subtype = WEAPON_SPINGUN;
+	}
+	else if(index == ENTITY_WEAPON_BIORIFLE && is_extended())
+	{
+		type = POWERUP_WEAPON;
+		subtype = WEAPON_BIORIFLE;
+	}
 	else if(index == ENTITY_POWERUP_NINJA && config.sv_powerups)
 	{
-		type = POWERUP_NINJA;
-		subtype = WEAPON_NINJA;
+		type = POWERUP_SPECIAL;
+		subtype = SPECIAL_NINJAPWR;
+	}
+	else if(index == ENTITY_POWERUP_HOOK && config.sv_powerups && is_extended())
+	{
+		type = POWERUP_SPECIAL;
+		subtype = SPECIAL_HOOKPWR;
+	}
+	else if(index == ENTITY_POWERUP_SUIT && config.sv_powerups && is_extended())
+	{
+		type = POWERUP_SPECIAL;
+		subtype = SPECIAL_POWERSUIT;
 	}
 	
 	if(type != -1)
@@ -320,6 +360,7 @@ int GAMECONTROLLER::on_character_death(c
 		else
 			killer->score++; // normal kill
 	}
+	victim->player->deaths++;
 	return 0;
 }
 
@@ -327,6 +368,7 @@ void GAMECONTROLLER::on_character_spawn(
 {
 	// default health
 	chr->health = 10;
+	chr->armor = 5 * (1&(int)is_extended());
 	
 	// give default weapons
 	chr->weapons[WEAPON_HAMMER].got = 1;
@@ -659,6 +701,11 @@ void GAMECONTROLLER::do_team_score_winch
 	}
 }
 
+bool GAMECONTROLLER::is_extended() const
+{
+	return false;
+}
+
 int GAMECONTROLLER::clampteam(int team)
 {
 	if(team < 0) // spectator
diff -rupN d:\t052/src/game/server/gamecontroller.hpp d:\eg/src/game/server/gamecontroller.hpp
--- d:\t052/src/game/server/gamecontroller.hpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/gamecontroller.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -131,6 +131,8 @@ public:
 	int clampteam(int team);
 
 	virtual void post_reset();
+	
+	virtual bool is_extended() const;
 };
 
 #endif
diff -rupN d:\t052/src/game/server/gamemodes/edm.cpp d:\eg/src/game/server/gamemodes/edm.cpp
--- d:\t052/src/game/server/gamemodes/edm.cpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/gamemodes/edm.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,16 @@
+/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */
+#include "edm.hpp"
+
+GAMECONTROLLER_EDM::GAMECONTROLLER_EDM()
+{
+	// Exchange this to a string that identifies your game mode.
+	// DM, TDM and CTF are reserved for teeworlds original modes.
+	gametype = "eDM";
+	
+	//game_flags = GAMEFLAG_TEAMS; // GAMEFLAG_TEAMS makes it a two-team gamemode
+}
+
+bool GAMECONTROLLER_EDM::is_extended() const
+{
+	return true;
+}
\ No newline at end of file
diff -rupN d:\t052/src/game/server/gamemodes/edm.hpp d:\eg/src/game/server/gamemodes/edm.hpp
--- d:\t052/src/game/server/gamemodes/edm.hpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/gamemodes/edm.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,14 @@
+/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */
+
+#include <game/server/gamecontroller.hpp>
+#include <game/server/gamemodes/dm.hpp>
+
+// you can subclass GAMECONTROLLER_CTF, GAMECONTROLLER_TDM etc if you want
+// todo a modification with their base as well.
+class GAMECONTROLLER_EDM : public GAMECONTROLLER_DM
+{
+public:
+	GAMECONTROLLER_EDM();
+	virtual bool is_extended() const;
+	// add more virtual functions here if you wish
+};
diff -rupN d:\t052/src/game/server/gamemodes/etdm.cpp d:\eg/src/game/server/gamemodes/etdm.cpp
--- d:\t052/src/game/server/gamemodes/etdm.cpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/gamemodes/etdm.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,14 @@
+/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */
+#include "etdm.hpp"
+
+GAMECONTROLLER_ETDM::GAMECONTROLLER_ETDM()
+{
+	// Exchange this to a string that identifies your game mode.
+	// DM, TDM and CTF are reserved for teeworlds original modes.
+	gametype = "eTDM";
+}
+
+bool GAMECONTROLLER_ETDM::is_extended() const
+{
+	return true;
+}
\ No newline at end of file
diff -rupN d:\t052/src/game/server/gamemodes/etdm.hpp d:\eg/src/game/server/gamemodes/etdm.hpp
--- d:\t052/src/game/server/gamemodes/etdm.hpp	1970-01-01 01:00:00.000000000 +0100
+++ d:\eg/src/game/server/gamemodes/etdm.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -0,0 +1,14 @@
+/* copyright (c) 2007 magnus auvinen, see licence.txt for more info */
+
+#include <game/server/gamecontroller.hpp>
+#include <game/server/gamemodes/tdm.hpp>
+
+// you can subclass GAMECONTROLLER_CTF, GAMECONTROLLER_TDM etc if you want
+// todo a modification with their base as well.
+class GAMECONTROLLER_ETDM : public GAMECONTROLLER_TDM
+{
+public:
+	GAMECONTROLLER_ETDM();
+	virtual bool is_extended() const;
+	// add more virtual functions here if you wish
+};
diff -rupN d:\t052/src/game/server/gameworld.hpp d:\eg/src/game/server/gameworld.hpp
--- d:\t052/src/game/server/gameworld.hpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/gameworld.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -18,7 +18,7 @@ class GAMEWORLD
 
 	enum
 	{
-		NUM_ENT_TYPES=10, // TODO: are more exact value perhaps? :)
+		NUM_ENT_TYPES=15, // TODO: are more exact value perhaps? :)
 	};
 
 	// TODO: two lists seams kinda not good, shouldn't be needed
diff -rupN d:\t052/src/game/server/hooks.cpp d:\eg/src/game/server/hooks.cpp
--- d:\t052/src/game/server/hooks.cpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/hooks.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -18,10 +18,9 @@ extern "C"
 #include <game/gamecore.hpp>
 
 #include "gamecontext.hpp"
-#include "gamemodes/dm.hpp"
-#include "gamemodes/tdm.hpp"
 #include "gamemodes/ctf.hpp"
-#include "gamemodes/mod.hpp"
+#include "gamemodes/edm.hpp"
+#include "gamemodes/etdm.hpp"
 
 TUNING_PARAMS tuning;
 
@@ -531,12 +530,14 @@ void mods_init()
 	//players = new PLAYER[MAX_CLIENTS];
 
 	// select gametype
-	if(strcmp(config.sv_gametype, "mod") == 0)
-		game.controller = new GAMECONTROLLER_MOD;
-	else if(strcmp(config.sv_gametype, "ctf") == 0)
+	if(strcmp(config.sv_gametype, "ctf") == 0)
 		game.controller = new GAMECONTROLLER_CTF;
 	else if(strcmp(config.sv_gametype, "tdm") == 0)
 		game.controller = new GAMECONTROLLER_TDM;
+	else if(strcmp(config.sv_gametype, "edm") == 0)
+		game.controller = new GAMECONTROLLER_EDM;
+	else if(strcmp(config.sv_gametype, "etdm") == 0)
+		game.controller = new GAMECONTROLLER_ETDM;
 	else
 		game.controller = new GAMECONTROLLER_DM;
 
diff -rupN d:\t052/src/game/server/player.cpp d:\eg/src/game/server/player.cpp
--- d:\t052/src/game/server/player.cpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/player.cpp	2010-02-04 10:53:13.000000000 +0100
@@ -79,11 +79,23 @@ void PLAYER::snap(int snapping_client)
 	info->latency_flux = latency.max-latency.min;
 	info->local = 0;
 	info->cid = client_id;
+	info->overall_accuracy = (int)weapons[NUM_WEAPONS].accuracy;
 	info->score = score;
+	info->netscore = score-deaths;
 	info->team = team;
 
 	if(client_id == snapping_client)
-		info->local = 1;	
+	{
+		info->local = 1;
+		// info->hammer_percentage = weapons[WEAPON_HAMMER].accuracy;
+		// info->gun_percentage = weapons[WEAPON_GUN].accuracy;
+		// info->shotgun_percentage = weapons[WEAPON_SHOTGUN].accuracy;
+		// info->grenade_percentage = weapons[WEAPON_GRENADE].accuracy;
+		// info->rifle_percentage = weapons[WEAPON_RIFLE].accuracy;
+		// info->shaft_percentage = weapons[WEAPON_SHAFT].accuracy;
+		// info->spin_percentage = weapons[WEAPON_SPINGUN].accuracy;
+		// info->bio_percentage = weapons[WEAPON_BIORIFLE].accuracy;
+	}
 }
 
 void PLAYER::on_disconnect()
@@ -157,6 +169,7 @@ void PLAYER::set_team(int new_team)
 	kill_character(WEAPON_GAME);
 	team = new_team;
 	score = 0;
+	deaths = 0;
 	dbg_msg("game", "team_join player='%d:%s' team=%d", client_id, server_clientname(client_id), team);
 	
 	game.controller->on_player_info_change(game.players[client_id]);
diff -rupN d:\t052/src/game/server/player.hpp d:\eg/src/game/server/player.hpp
--- d:\t052/src/game/server/player.hpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/server/player.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -27,8 +27,16 @@ public:
 	int client_id;
 	int team;
 	int score;
+	int deaths;
 	bool force_balanced;
 	
+	struct ACCURACYSTATS
+	{
+		int hits;
+		int shots;
+		float accuracy;
+	} weapons[NUM_WEAPONS+1];
+	
 	//
 	int vote;
 	int64 last_votecall;
@@ -70,6 +78,7 @@ public:
 	void on_direct_input(NETOBJ_PLAYER_INPUT *new_input);
 	void on_predicted_input(NETOBJ_PLAYER_INPUT *new_input);
 	void on_disconnect();
+	
 };
 
 #endif
diff -rupN d:\t052/src/game/tuning.hpp d:\eg/src/game/tuning.hpp
--- d:\t052/src/game/tuning.hpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/tuning.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -8,6 +8,7 @@ MACRO_TUNING_PARAM(air_control_speed, 25
 MACRO_TUNING_PARAM(air_control_accel, 1.5f)
 MACRO_TUNING_PARAM(air_friction, 0.95f)
 MACRO_TUNING_PARAM(hook_length, 380.0f)
+MACRO_TUNING_PARAM(hook_damage, 5)
 MACRO_TUNING_PARAM(hook_fire_speed, 80.0f)
 MACRO_TUNING_PARAM(hook_drag_accel, 3.0f)
 MACRO_TUNING_PARAM(hook_drag_speed, 15.0f)
@@ -17,6 +18,12 @@ MACRO_TUNING_PARAM(velramp_start, 550)
 MACRO_TUNING_PARAM(velramp_range, 2000)
 MACRO_TUNING_PARAM(velramp_curvature, 1.4f)
 
+MACRO_TUNING_PARAM(overfill_decayrate, 4.0f)
+
+MACRO_TUNING_PARAM(droppedweapon_curvature, 14.0f)
+MACRO_TUNING_PARAM(droppedweapon_speed, 1000.0f)
+MACRO_TUNING_PARAM(droppedweapon_decayrate, 10.0f)
+
 /* weapon tuning */
 MACRO_TUNING_PARAM(gun_curvature, 1.25f)
 MACRO_TUNING_PARAM(gun_speed, 2200.0f)
@@ -37,5 +44,19 @@ MACRO_TUNING_PARAM(laser_bounce_num, 1)
 MACRO_TUNING_PARAM(laser_bounce_cost, 0)
 MACRO_TUNING_PARAM(laser_damage, 5)
 
+MACRO_TUNING_PARAM(shaft_damage, 1)
+MACRO_TUNING_PARAM(shaft_range, 750.0f)
+
+MACRO_TUNING_PARAM(spingun_maxdamage, 14)
+MACRO_TUNING_PARAM(spingun_impactradius, 150.0f)
+MACRO_TUNING_PARAM(spingun_impactdistance, 300.0f)
+MACRO_TUNING_PARAM(spingun_spinduration, 2.0f)
+
+MACRO_TUNING_PARAM(biorifle_curvature, 0.0f)
+MACRO_TUNING_PARAM(biorifle_speed, 1800.0f)
+MACRO_TUNING_PARAM(biorifle_lifetime, 7.5f)
+
 MACRO_TUNING_PARAM(player_collision, 1)
 MACRO_TUNING_PARAM(player_hooking, 1)
+
+MACRO_TUNING_PARAM(special_duration, 15000)
diff -rupN d:\t052/src/game/variables.hpp d:\eg/src/game/variables.hpp
--- d:\t052/src/game/variables.hpp	2009-10-26 19:04:30.000000000 +0100
+++ d:\eg/src/game/variables.hpp	2010-02-04 10:53:13.000000000 +0100
@@ -47,15 +47,16 @@ MACRO_CONFIG_INT(gfx_noclip, 0, 0, 1, CF
 /* server */
 MACRO_CONFIG_INT(sv_warmup, 0, 0, 0, CFGFLAG_SERVER, "Number of seconds to do warpup before round starts")
 MACRO_CONFIG_STR(sv_motd, 900, "", CFGFLAG_SERVER, "Message of the day to display for the clients")
-MACRO_CONFIG_INT(sv_teamdamage, 0, 0, 1, CFGFLAG_SERVER, "Team damage")
+MACRO_CONFIG_INT(sv_teamdamage, 1, 0, 1, CFGFLAG_SERVER, "Team damage")
 MACRO_CONFIG_STR(sv_maprotation, 768, "", CFGFLAG_SERVER, "Maps to rotate between")
 MACRO_CONFIG_INT(sv_rounds_per_map, 1, 1, 100, CFGFLAG_SERVER, "Number of rounds on each map before rotating")
 MACRO_CONFIG_INT(sv_powerups, 1, 0, 1, CFGFLAG_SERVER, "Allow powerups like ninja")
 MACRO_CONFIG_INT(sv_scorelimit, 20, 0, 1000, CFGFLAG_SERVER, "Score limit (0 disables)")
 MACRO_CONFIG_INT(sv_timelimit, 0, 0, 1000, CFGFLAG_SERVER, "Time limit in minutes (0 disables)")
 MACRO_CONFIG_STR(sv_gametype, 32, "dm", CFGFLAG_SERVER, "Game type (dm, tdm, ctf)")
-MACRO_CONFIG_INT(sv_tournament_mode, 0, 0, 1, CFGFLAG_SERVER, "Tournament mode. When enabled, players joins the server as spectator")
+MACRO_CONFIG_INT(sv_tournament_mode, 1, 0, 1, CFGFLAG_SERVER, "Tournament mode. When enabled, players joins the server as spectator")
 MACRO_CONFIG_INT(sv_spamprotection, 1, 0, 1, CFGFLAG_SERVER, "Spam protection")
+MACRO_CONFIG_INT(sv_teleport, 1, 0, 1, CFGFLAG_SERVER, "Enable or disable teleportation")
 
 MACRO_CONFIG_INT(sv_spectator_slots, 0, 0, MAX_CLIENTS, CFGFLAG_SERVER, "Number of slots to reserve for spectators")
 MACRO_CONFIG_INT(sv_teambalance_time, 1, 0, 1000, CFGFLAG_SERVER, "How many minutes to wait before autobalancing teams")
